#include<stdio.h>

int main(){

	size_t N=10;
	double a[N];

	FILE *fp;
	fp=fopen("restart.bin","r");
	fread(a,sizeof(a),1,fp);
	fclose(fp);

	for (int i = 0; i < N; i++) {
		printf("%15.6e\n", a[i]);
	}

	return(0);
}
